/*EasyPen.h Ver 1.0 */

/*
 EasyPen Input Server Add-on. EasyPen.h Ver 1.0 
 Copyright (C) 2001  Robin Taylor.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; version 2 of the License.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details
*/

#ifndef __EASYPEN_DEVICE_H
#define __EASYPEN_DEVICE_H

#include <add-ons/input_server/InputServerDevice.h>
#include <InterfaceDefs.h>
#include <SupportDefs.h>
#include <SerialPort.h>
#include <List.h>
#include <OS.h>

extern "C" _EXPORT BInputServerDevice* instantiate_input_device();

class EasyPenDevice : public BInputServerDevice
   {
    public:
    						EasyPenDevice();
	virtual					~EasyPenDevice();
	virtual status_t		InitCheck();
	virtual status_t		Start(const char *device, void *);
	virtual	status_t		Stop(const char *, void *);
	
	int32 EasyThread(void);
    private:
   	//thead control flag
	bool Quit;
	//thread ID
	thread_id threadid;
	//Serial port
 	BSerialPort *serial;
};

#endif 